NisusWrtTextInternal::State Struct Reference

Internal: the state of a NisusWrtText. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_version
| the file version
std::vector< Font > | m_fontList
| the font list
std::vector< Footnote > | m_footnoteList
| the list of footnote
Zone | m_zones [3]
| the main zones : Main, Footnote, HeaderFooter
int | m_numPages
int | m_actualPage
std::vector< HeaderFooter > | m_hfList
| the list of header footer
std::vector< int > | m_headersId
| the list of header id which corresponds to each page
std::vector< int > | m_footersId
| the list of footer id which corresponds to each page

## Detailed Description

Internal: the state of a NisusWrtText.

## Constructor & Destructor Documentation

## State()

NisusWrtTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actualPage

int NisusWrtTextInternal::State::m_actualPage

Referenced by State().

## m_fontList

std::vector<Font> NisusWrtTextInternal::State::m_fontList

the font list

Referenced by State().

## m_footersId

std::vector<int> NisusWrtTextInternal::State::m_footersId

the list of footer id which corresponds to each page

Referenced by State().

## m_footnoteList

std::vector<Footnote> NisusWrtTextInternal::State::m_footnoteList

the list of footnote

Referenced by State().

## m_headersId

std::vector<int> NisusWrtTextInternal::State::m_headersId

the list of header id which corresponds to each page

Referenced by State().

## m_hfList

std::vector<HeaderFooter> NisusWrtTextInternal::State::m_hfList

the list of header footer

Referenced by State().

## m_numPages

int NisusWrtTextInternal::State::m_numPages

Referenced by State().

## m_version

int NisusWrtTextInternal::State::m_version

mutable

the file version

Referenced by State().

## m_zones

Zone NisusWrtTextInternal::State::m_zones[3]

the main zones : Main, Footnote, HeaderFooter

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx